{% extends "dashboard/dashboard_content.html" %}

{% block rightPane %}
    {% if perms.curriculum.can_reallow_attendance and reallow_attendance_form %}
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <i class="fa fa-check-square"></i>
                    Re-allow Attendance Marking
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">

                <div class="row">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <form method="POST" class="form-horizontal">
                            {% csrf_token %}
                            {% for field in reallow_attendance_form %}
                                <div class="form-group {% if field.errors %} has-error{% endif %}">
                                    <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                           id={{ field.id_for_label }}>{{ field.label }}</label>
                                    <div class="col-md-5 col-sm-6 col-xs-12">
                                        {{ field }}

                                        {% for error in field.errors %}
                                            <span class="help-block">
                                            {{ error|escape }}
                                        </span>
                                        {% endfor %}
                                    </div>
                                </div>
                            {% endfor %}
                            <div class="form-group" id="select_course">
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Select
                                    course</label>
                                <div class="col-md-5 col-sm-6 col-xs-12">
                                    <select id="id_courses" name="course" required class="form-control">
                                    </select>
                                </div>
                            </div>
                            <div class="form-group" id="select_date">
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Date</label>
                                <div class="col-md-5 col-sm-6 col-xs-12">
                                    <input type="text" id="datepicker-1" placeholder="Click to choose a date"
                                           name="date" class="form-control">
                                </div>
                            </div>
                            <div class="form-group" id="select_hours">
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Select
                                    Hour</label>
                                <div class="col-md-5 col-sm-6 col-xs-12">
                                    <select id="id_hours" name="hour" required class="form-control">
                                    </select>
                                </div>
                            </div>

                            <div class="form-group " id="allow_checkbox">
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Allow to mark
                                    attendance in two hours</label>

                                <div class="col-md-5 col-sm-6 col-xs-12">

                                    <input type="checkbox" name="allow"/>
                                </div>

                            </div>

                            <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                                <button type="submit" class="save btn btn-lg btn-success" name="semester_plan"
                                        value="semester_plan">Re-allow
                                </button>
                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>
        <script type="text/javascript">
            $(function () {
                $("#datepicker-1").datepicker({
                    dateFormat: "yy-mm-dd",
                });
            });
        </script>
        <script type="text/javascript">
            //For getting CSRF token
            function getCookie(name) {
                var cookieValue = null;
                if (document.cookie && document.cookie != '') {
                    var cookies = document.cookie.split(';');
                    for (var i = 0; i < cookies.length; i++) {
                        var cookie = jQuery.trim(cookies[i]);
                        // Does this cookie string begin with the name we want?
                        if (cookie.substring(0, name.length + 1) == (name + '=')) {
                            cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                            break;
                        }
                    }
                }
                return cookieValue;
            }
            $('document').ready(function () {
                $('#select_course').hide();
                $('#select_date').hide();
                $('#select_hours').hide();
                $('#allow_checkbox').hide();

                $('[name="faculty"]').change(function () {
                    //alert($(this).val());
                    var selected_faculty = $(this).val();
                    //alert(selected_faculty);
                    var csrftoken = getCookie('csrftoken');
                    $.ajax({
                        url: '{% url 'get_courses' %}',
                        type: 'POST',
                        data: {
                            csrfmiddlewaretoken: csrftoken,
                            faculty: selected_faculty,
                        },
                        success: function (data)//we got the response
                        {
                            var myNode = document.getElementById("id_courses");
                            while (myNode.firstChild) {
                                myNode.removeChild(myNode.firstChild);
                            }
                            list_of_allotments = data['courses'];
                            $("#id_courses").append('<option value="" selected="selected">select a course</option>');
                            for (var i = 0, l = list_of_allotments.length; i < l; i++) {
                                $("#id_courses").append('<option value="' + list_of_allotments[i].staff_course_pk + '">' + list_of_allotments[i].display_text + '</option>');
                            }
                            $('#select_course').show();
                            $('#select_date').show();
                            //alert('Successfully called');
                        },
                        error: function (exception) {
                            alert('Exeption:' + exception);
                        }
                    });
                });
                $("#datepicker-1").change(function () {
                    var selected_date = $(this).val();
                    //alert(selected_date);
                    var csrftoken = getCookie('csrftoken');
                    $.ajax({
                        url: '{% url 'get_hour' %}',
                        type: 'POST',
                        data: {
                            csrfmiddlewaretoken: csrftoken,
                            date: selected_date,
                            faculty: $('[name="faculty"]').val(),
                            staff_course_pk: $('#id_courses').val(),
                        },
                        success: function (data)//we got the response
                        {
                            var myNode = document.getElementById("id_hours");
                            while (myNode.firstChild) {
                                myNode.removeChild(myNode.firstChild);
                            }
                            var list_of_hours = data['hours'];
                            //alert(list_of_hours);
                            $("#id_hours").append('<option value="" selected="selected">select an hour</option>');
                            for (var i = 0, l = list_of_hours.length; i < l; i++) {
                                $("#id_hours").append('<option value="' + list_of_hours[i] + '">' + list_of_hours[i] + '</option>');
                            }
                            $('#select_hours').show();
                        },
                        error: function (exception) {
                            alert('Exeption:' + exception);
                        }
                    })
                });
                $('#id_hours').change(function () {
                    var selected_hour = $(this).val();
                    //alert(selected_hour);
                    var csrftoken = getCookie('csrftoken');
                    $.ajax({
                        url: '{% url 'check_attendance_entry' %}',
                        type: 'POST',
                        data: {
                            csrfmiddlewaretoken: csrftoken,
                            date: $('#datepicker-1').val(),
                            faculty: $('[name="faculty"]').val(),
                            staff_course_pk: $('#id_courses').val(),
                            hour: selected_hour,
                        },
                        success: function (data)//we got the response
                        {
                            if (data['update_attendance']) {
                                var $hiddenInput = $('<input/>', {type: 'hidden', value: true, name: 'update'});
                                alert('Attendance has already been marked.Proceed to re-allow marking attendance again');
                            }
                            else {
                                var $hiddenInput = $('<input/>', {type: 'hidden', value: false, name: 'update'});
                                alert('No attendance has been marked');
                            }

                            $hiddenInput.appendTo('form');
                            $('#allow_checkbox').show();

                        },
                        error: function (exception) {
                            alert('Exeption:' + exception);
                        }
                    })
                });
            });

        </script>
    {% endif %}
{% endblock %}
